> ## Documentation Index
> Fetch the complete documentation index at: https://productlane.mintlify.site/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get changelog

> Get a changelog by ID. Unauthenticated requests return only published changelogs. Authenticated requests (matching workspaceId) also return unpublished changelogs.



## OpenAPI

````yaml get /changelogs/{workspaceId}/{changelogId}
openapi: 3.0.3
info:
  title: Productlane API
  version: 1.0.0
servers:
  - url: https://productlane.com/api/v1
security: []
paths:
  /changelogs/{workspaceId}/{changelogId}:
    get:
      tags:
        - changelogs
      summary: Get changelog
      description: >-
        Get a changelog by ID. Unauthenticated requests return only published
        changelogs. Authenticated requests (matching workspaceId) also return
        unpublished changelogs.
      operationId: changelogs-get
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
        - name: changelogId
          in: path
          required: true
          schema:
            type: string
        - name: language
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                  isDeleted:
                    type: boolean
                  version:
                    type: number
                  date:
                    type: string
                    format: date-time
                    nullable: true
                  published:
                    type: boolean
                  title:
                    type: string
                  notes: {}
                  archived:
                    type: boolean
                  imageUrl:
                    type: string
                    nullable: true
                  projectId:
                    type: string
                    nullable: true
                  workspaceId:
                    type: string
                  tags:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        color:
                          type: string
                        icon:
                          type: string
                          nullable: true
                      required:
                        - id
                        - name
                        - color
                        - icon
                      additionalProperties: false
                required:
                  - id
                  - createdAt
                  - updatedAt
                  - isDeleted
                  - version
                  - date
                  - published
                  - title
                  - archived
                  - imageUrl
                  - projectId
                  - workspaceId
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````